Download it now!
Bug 134648 - FILEOPEN: DOCX: Incorrect margin in first item in sublist
Summary: FILEOPEN: DOCX: Incorrect margin in first item in sublist
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-07-08 11:09 UTC by Xisco Faulí
Modified: 2020-07-22 11:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (14.84 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-08 11:09 UTC, Xisco Faulí
Details
Comparison MSO 2010 and LibreOffice 7.1 master (14.85 KB, image/png)
2020-07-08 11:10 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-08 11:09:43 UTC
Created attachment 162792 [details]
sample

Steps to reproduce:
1. Open attached document

-> marging between first and second items in the sublist is incorrect. See comparison image


Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-07-08 11:10:02 UTC
Created attachment 162793 [details]
Comparison MSO 2010 and LibreOffice 7.1 master
Comment 2 Xisco Faulí 2020-07-08 11:11:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9cca15204af9cc44a8a9528ccf2f36616fb70e69

author	László Németh <nemeth@numbertext.org>	2020-05-20 16:24:38 +0200
committer	László Németh <nemeth@numbertext.org>	2020-05-21 09:27:10 +0200
commit	9cca15204af9cc44a8a9528ccf2f36616fb70e69 (patch)
tree	77da0c2ab6e2ed819bce42a8ce352ad7bb2e39cb
parent	d618441188dddc3c35aae733aa003b48389c6af7 (diff)
tdf#133052: DOCX import: fix top auto margin of subitems

Bisected with: bibisect-linux64-7.0

Adding Cc: to László Németh
Comment 3 NISZ LibreOffice Team 2020-07-09 11:27:42 UTC
Probably the same as bug #133363 - that's also a side effect of 

tdf#133052: DOCX import: fix top auto margin of subitems
Comment 4 Commit Notification 2020-07-21 09:01:55 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1c3eb7e329cd2eaeb83068907ba0c9a5b3ef7852

tdf#134648 DOCX import: fix bottom auto margin of subitem

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2020-07-22 07:38:12 UTC
(In reply to NISZ LibreOffice Team from comment #3)
> Probably the same as bug #133363 - that's also a side effect of 
> 
> tdf#133052: DOCX import: fix top auto margin of subitems

Not the same: bug #133363 is still around in todays nightly after this one was fixed.
Comment 6 Xisco Faulí 2020-07-22 10:07:03 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: b877b9bc894892e61f0d6311729f7b01139923d6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-07-22 11:23:40 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/fc4dc18a218dc5d986569b5e6e8c1172a843da1a

tdf#134648 DOCX import: fix bottom auto margin of subitem

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.